{% extends "base.html" %}
{% from "security/_macros.html" import render_field_with_errors, render_field, render_field_errors %}

{% block content %}
<div class="container">
    {% include "security/_messages.html" %}
    <div class="row justify-content-md-center">
    
        <div class="card">
            <div class="card-header">
                <h6 class="card-title">{{ _('Login') }}</h6>
            </div>
            <div class="card-body">
                <form action="{{ url_for_security('login') }}" method="POST" name="login_user_form">
                {{ login_user_form.hidden_tag() }}

                <div class="form-group row">
                    <label  class="col-sm-4 col-form-label">Email</label>
                    <div class="col-sm-8">
                    {{ login_user_form.email(class="form-control") }}
                    </div>
                </div>
                <div class="form-group row">
                    <label class="col-sm-4 col-form-label">Password</label>
                    <div class="col-sm-8">
                    {{ login_user_form.password(class="form-control") }}
                    </div>
                </div>
                <div class="form-check">
                    {{ login_user_form.remember(class="form-check-input") }}
                    {{ login_user_form.remember.label(class="form-check-label") }}
                </div>
                {{ render_field_errors(login_user_form.csrf_token) }}
                {{ login_user_form.submit(class="btn btn-primary btn-block mb-2") }}
                </form>
            </div>
            <div class="card-footer text-muted">
                {% include "security/_menu.html" %}
            </div>
        </div>
    </div>
</div>
{% endblock %}